# IRfKernelSet Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | GetOutputServer ([out, retval] IRnOutputServer **ppNode)
HRESULT | CopyNode ([in] IRsNode *pNode,[out, retval] IRsNode **ppNewNode)
HRESULT | GetMainDir ([out, retval] BSTR *pbMainDirectory)
HRESULT | GetCmdScriptForm ([in] IRsCommand *pCmd,[in] RtScriptDrv scriptDrv,[in] RtBool bAllowMultiLine,[in] RtShort nLineLength,[in] RtBool bAllowRetVal,[out] BSTR *pbsCommandLine,[out] BSTR *pbsRetValName,[out] BSTR *pbsRetValValue)
HRESULT | CopyNodeContent ([in] IRnEncapsulator *pDstEncaps,[in] IRnEncapsulator *pSrcEncaps,[in] RtBool bCopySrcCons)

## Detailed Description

Kernel function set containing auxiliary functions.

## Member Function Documentation

HRESULT IRfKernelSet::GetOutputServer | ( | [out, retval] IRnOutputServer ** | ppNode | ) |

Returns the log output node.

Returns:
  ppNode [out,retval] Returned output server.

HRESULT IRfKernelSet::CopyNode | ( | [in] IRsNode * | pNode,
|  | [out, retval] IRsNode ** | ppNewNode |
| ) |  |  |

Creates a copy of specified node.

Parameters:

  | pNode | [in] Original node.

Returns:
  ppNewNode [out,retval] Copied node.

HRESULT IRfKernelSet::GetMainDir | ( | [out, retval] BSTR * | pbMainDirectory | ) |

Returns application main directory.

Returns:
  pbMainDirectory [out,retval] Returned application directory.

HRESULT IRfKernelSet::GetCmdScriptForm | ( | [in] IRsCommand * | pCmd,
|  | [in] RtScriptDrv | scriptDrv,
|  | [in] RtBool | bAllowMultiLine,
|  | [in] RtShort | nLineLength,
|  | [in] RtBool | bAllowRetVal,
|  | [out] BSTR * | pbsCommandLine,
|  | [out] BSTR * | pbsRetValName,
|  | [out] BSTR * | pbsRetValValue |
| ) |  |  |

GetCmdScriptForm.

- Get script form call for given command and for given language (e.g. jScript)

Parameters:

  | pCmd | [in] command object.
  | scriptDrv | script driver( language specific)
  | bAllowMultiLine | [in] MultiLine format
  | nLineLength | [in] Line Length for MultiLine support.
  | bAllowRetVal | [in] allow return values.
  | pbsCommandLine | [out] returned script form.
  | pbsRetValName | [out] name of returned parameter.
  | pbsRetValValue | [out] value of returned parameter

HRESULT IRfKernelSet::CopyNodeContent | ( | [in] IRnEncapsulator * | pDstEncaps,
|  | [in] IRnEncapsulator * | pSrcEncaps,
|  | [in] RtBool | bCopySrcCons |
| ) |  |  |

CopyNodeContent.

- Copy the content of one encapsulator to another

Parameters:

  | pDstEncaps | [in] destination encapsulator.
  | pSrcEncaps | [in] source encapsulator.
  | bCopySrcCons | [in] copy also connectors.